Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class StringMap

    java.lang.Object
      de.grogra.util.StringMap

All Implemented Interfaces:
  Map, ModifiableMap, java.io.Serializable

Direct Known Subclasses:
  SOBindingImpl

    public class StringMap

extends java.lang.Object
implements ModifiableMap, java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.util.ModifiableMap
`ModifiableMap.Producer`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Type` | `TYPE`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`StringMap()`
`StringMap(int capacity)`
`StringMap(int capacity, boolean reverseSort)`
`StringMap(Map parent)`
`StringMap(java.lang.Object[] keyValuePairs)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsKey(java.lang.String key)`
`void` | `disposeValuesAndClear()`
`StringMap` | `dup()`
`int` | `findIndex(java.lang.CharSequence key, int begin, int length, int fromIndex, int toIndex)`
`int` | `findIndex(java.lang.String key)`
`int` | `findIndex(java.lang.String key, int begin, int length)`
`java.lang.Object` | `get(java.lang.Object key, java.lang.Object defaultValue)` Returns the value associated with `key`.
`java.lang.Object` | `get(java.lang.String key)`
`java.lang.Object` | `get(java.lang.String key, boolean includeParent)`
`boolean` | `getBoolean(java.lang.String key)`
`boolean` | `getBoolean(java.lang.String key, boolean defaultValue)`
`byte` | `getByte(java.lang.String key)`
`byte` | `getByte(java.lang.String key, byte defaultValue)`
`char` | `getChar(java.lang.String key)`
`char` | `getChar(java.lang.String key, char defaultValue)`
`double` | `getDouble(java.lang.String key)`
`double` | `getDouble(java.lang.String key, double defaultValue)`
`float` | `getFloat(java.lang.String key)`
`float` | `getFloat(java.lang.String key, float defaultValue)`
`int` | `getInt(java.lang.String key)`
`int` | `getInt(java.lang.String key, int defaultValue)`
`java.lang.String` | `getKeyAt(int index)`
`java.lang.String[]` | `getKeys()`
`long` | `getLong(java.lang.String key)`
`long` | `getLong(java.lang.String key, long defaultValue)`
`java.lang.Object` | `getObject(java.lang.String key)`
`java.lang.Object` | `getObject(java.lang.String key, java.lang.Object defaultValue)`
`short` | `getShort(java.lang.String key)`
`short` | `getShort(java.lang.String key, short defaultValue)`
`java.lang.String` | `getString(java.lang.String key)`
`java.lang.Object` | `getValueAt(int index)`
`void` | `getValues(java.lang.Object[] values)`
`boolean` | `isEmpty()`
`static void` | `main(java.lang.String[] args)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object object)` Maps `key` to `value`.
`java.lang.Object` | `put(java.lang.String key, java.lang.Object object)`
`StringMap` | `putBoolean(java.lang.String key, boolean value)`
`StringMap` | `putByte(java.lang.String key, byte value)`
`StringMap` | `putChar(java.lang.String key, char value)`
`StringMap` | `putDouble(java.lang.String key, double value)`
`StringMap` | `putFloat(java.lang.String key, float value)`
`StringMap` | `putInt(java.lang.String key, int value)`
`StringMap` | `putLong(java.lang.String key, long value)`
`StringMap` | `putObject(java.lang.String key, java.lang.Object value)`
`StringMap` | `putShort(java.lang.String key, short value)`
`java.lang.Object` | `remove(java.lang.String key)`
`java.lang.Object` | `removeAt(int index)`
`java.lang.Object` | `setValueAt(int index, java.lang.Object value)`
`int` | `size()`
`java.lang.Object` | `synchronizedGet(java.lang.String key)`
`java.lang.Object` | `synchronizedPut(java.lang.String key, java.lang.Object object)`
`java.lang.Object` | `synchronizedRemove(java.lang.String key)`
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final Type TYPE

Constructor Detail

### StringMap

    public StringMap()

### StringMap

    public StringMap(int capacity)

### StringMap

    public StringMap(int capacity,
                     boolean reverseSort)

### StringMap

    public StringMap(Map parent)

### StringMap

    public StringMap(java.lang.Object[] keyValuePairs)

Method Detail

### clear

    public final void clear()

### containsKey

    public final boolean containsKey(java.lang.Object key)

### containsKey

    public final boolean containsKey(java.lang.String key)

### disposeValuesAndClear

    public final void disposeValuesAndClear()

### dup

    public StringMap dup()

### findIndex

    public final int findIndex(java.lang.CharSequence key,
                               int begin,
                               int length,
                               int fromIndex,
                               int toIndex)

### findIndex

    public final int findIndex(java.lang.String key)

### findIndex

    public final int findIndex(java.lang.String key,
                               int begin,
                               int length)

### get

    public final java.lang.Object get(java.lang.Object key,
                                      java.lang.Object defaultValue)

  Description copied from interface: `Map`
  Returns the value associated with `key`. If there is no value associated with `key`, `defaultValue` is returned.

  Specified by:
    `get` in interface `Map`
  Parameters:
    `key` - a key for the map
    `defaultValue` - the default value
  Returns:
    the associated value, or `defaultValue`

### get

    public final java.lang.Object get(java.lang.String key)

### get

    public final java.lang.Object get(java.lang.String key,
                                      boolean includeParent)

### getBoolean

    public final boolean getBoolean(java.lang.String key)

### getBoolean

    public final boolean getBoolean(java.lang.String key,
                                    boolean defaultValue)

### getByte

    public final byte getByte(java.lang.String key)

### getByte

    public final byte getByte(java.lang.String key,
                              byte defaultValue)

### getChar

    public final char getChar(java.lang.String key)

### getChar

    public final char getChar(java.lang.String key,
                              char defaultValue)

### getDouble

    public final double getDouble(java.lang.String key)

### getDouble

    public final double getDouble(java.lang.String key,
                                  double defaultValue)

### getFloat

    public final float getFloat(java.lang.String key)

### getFloat

    public final float getFloat(java.lang.String key,
                                float defaultValue)

### getInt

    public final int getInt(java.lang.String key)

### getInt

    public final int getInt(java.lang.String key,
                            int defaultValue)

### getKeyAt

    public final java.lang.String getKeyAt(int index)

### getKeys

    public final java.lang.String[] getKeys()

### getLong

    public final long getLong(java.lang.String key)

### getLong

    public final long getLong(java.lang.String key,
                              long defaultValue)

### getObject

    public final java.lang.Object getObject(java.lang.String key)

### getObject

    public final java.lang.Object getObject(java.lang.String key,
                                            java.lang.Object defaultValue)

### getShort

    public final short getShort(java.lang.String key)

### getShort

    public final short getShort(java.lang.String key,
                                short defaultValue)

### getString

    public final java.lang.String getString(java.lang.String key)

### getValueAt

    public final java.lang.Object getValueAt(int index)

### getValues

    public final void getValues(java.lang.Object[] values)

### isEmpty

    public final boolean isEmpty()

### main

    public static void main(java.lang.String[] args)

### put

    public final java.lang.Object put(java.lang.Object key,
                                      java.lang.Object object)

  Description copied from interface: `ModifiableMap`
  Maps `key` to `value`. Following invocations of the `get`-method with `key` as key will return `value`.

  Specified by:
    `put` in interface `ModifiableMap`
  Parameters:
    `key` - a key
    `object` - the value to be associated with `key`
  Returns:
    the previously associated value, or `null`

### put

    public final java.lang.Object put(java.lang.String key,
                                      java.lang.Object object)

### putBoolean

    public final StringMap putBoolean(java.lang.String key,
                                      boolean value)

### putByte

    public final StringMap putByte(java.lang.String key,
                                   byte value)

### putChar

    public final StringMap putChar(java.lang.String key,
                                   char value)

### putDouble

    public final StringMap putDouble(java.lang.String key,
                                     double value)

### putFloat

    public final StringMap putFloat(java.lang.String key,
                                    float value)

### putInt

    public final StringMap putInt(java.lang.String key,
                                  int value)

### putLong

    public final StringMap putLong(java.lang.String key,
                                   long value)

### putObject

    public final StringMap putObject(java.lang.String key,
                                     java.lang.Object value)

### putShort

    public final StringMap putShort(java.lang.String key,
                                    short value)

### remove

    public final java.lang.Object remove(java.lang.String key)

### removeAt

    public final java.lang.Object removeAt(int index)

### setValueAt

    public final java.lang.Object setValueAt(int index,
                                             java.lang.Object value)

### size

    public final int size()

### synchronizedGet

    public final java.lang.Object synchronizedGet(java.lang.String key)

### synchronizedPut

    public final java.lang.Object synchronizedPut(java.lang.String key,
                                                  java.lang.Object object)

### synchronizedRemove

    public final java.lang.Object synchronizedRemove(java.lang.String key)

### toMap

    public final java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD